import{s as da,o as fa,n as cn}from"../chunks/scheduler.9f522b10.js";import{S as ua,i as va,g as n,s as l,u as v,A as $a,h as a,f as t,c as s,j as h,v as $,y as d,k as o,o as r,a as m,w as z,d as g,t as x,x as w}from"../chunks/index.5571e834.js";import{D as E}from"../chunks/Docstring.859afbbc.js";import{I as A}from"../chunks/IconCopyLink.e54cecc4.js";import{T as za,M as hn}from"../chunks/TokenizersLanguageContent.faeb29b7.js";function ga(D){let i,f,c,k,C,b,me="BertNormalizer",F,y,S,Ge,I,q="BertNormalizer",ce,T,_e=`Takes care of normalizing raw text before giving it to a Bert model.
This includes cleaning the text, handling accents, chinese chars and lowercasing`,u,_,N,he,H,Dr,Qe,pn="Lowercase",Kt,V,Ce,Fr,Xe,dn="Lowercase Normalizer",Bt,M,pe,Pt,Ne,Tr,Ye,fn="NFC",Vt,R,be,Ir,Ze,un="NFC Unicode Normalizer",Mt,j,de,Et,ye,qr,et,vn="NFD",Rt,U,Pe,Hr,tt,$n="NFD Unicode Normalizer",jt,W,fe,St,Ee,Lr,rt,zn="NFKC",Ut,J,Se,Kr,nt,gn="NFKC Unicode Normalizer",Wt,O,ue,At,Ae,Br,at,xn="NFKD",Jt,G,De,Vr,ot,wn="NFKD Unicode Normalizer",Ot,Q,ve,Dt,Fe,Mr,lt,kn="Nmt",Gt,X,Te,Rr,st,_n="Nmt normalizer",Qt,Y,$e,Ft,Ie,jr,it,Cn="Normalizer",Xt,P,qe,Ur,mt,Nn="Base class for all normalizers",Wr,ct,bn=`This class is not supposed to be instantiated directly. Instead, any implementation of a
Normalizer will return an instance of this class when instantiated.`,Jr,L,He,Or,ht,yn="Normalize a <code>NormalizedString</code> in-place",Gr,pt,Pn=`This method allows to modify a <code>NormalizedString</code> to
keep track of the alignment information. If you just want to see the result
of the normalization on a raw string, you can use
<code>normalize_str()</code>`,Qr,K,Le,Xr,dt,En="Normalize the given string",Yr,ft,Sn=`This method provides a way to visualize the effect of a
<a href="/docs/tokenizers/main/en/api/normalizers#tokenizers.normalizers.Normalizer">Normalizer</a> but it does not keep track of the alignment
information. If you need to get/convert offsets, you can use
<code>normalize()</code>`,Yt,Z,ze,Tt,Ke,Zr,ut,An="Precompiled",Zt,ee,Be,en,vt,Dn=`Precompiled normalizer
Don’t use manually it is used for compatiblity for SentencePiece.`,er,te,ge,It,Ve,tn,$t,Fn="Replace",tr,re,Me,rn,zt,Tn="Replace normalizer",rr,ne,xe,qt,Re,nn,gt,In="Sequence",nr,ae,je,an,xt,qn=`Allows concatenating multiple other Normalizer as a Sequence.
All the normalizers run in sequence in the given order`,ar,oe,we,Ht,Ue,on,wt,Hn="Strip",or,le,We,ln,kt,Ln="Strip normalizer",lr,se,ke,Lt,Je,sn,_t,Kn="StripAccents",sr,ie,Oe,mn,Ct,Bn="StripAccents normalizer",ir;return k=new A({}),S=new E({props:{name:"class tokenizers.normalizers.BertNormalizer",anchor:"tokenizers.normalizers.BertNormalizer",parameters:[{name:"clean_text",val:" = True"},{name:"handle_chinese_chars",val:" = True"},{name:"strip_accents",val:" = None"},{name:"lowercase",val:" = True"}],parametersDescription:[{anchor:"tokenizers.normalizers.BertNormalizer.clean_text",description:`<strong>clean_text</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to clean the text, by removing any control characters
and replacing all whitespaces by the classic one.`,name:"clean_text"},{anchor:"tokenizers.normalizers.BertNormalizer.handle_chinese_chars",description:`<strong>handle_chinese_chars</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to handle chinese chars by putting spaces around them.`,name:"handle_chinese_chars"},{anchor:"tokenizers.normalizers.BertNormalizer.strip_accents",description:`<strong>strip_accents</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether to strip all accents. If this option is not specified (ie == None),
then it will be determined by the value for <em>lowercase</em> (as in the original Bert).`,name:"strip_accents"},{anchor:"tokenizers.normalizers.BertNormalizer.lowercase",description:`<strong>lowercase</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to lowercase.`,name:"lowercase"}]}}),H=new A({}),Ce=new E({props:{name:"class tokenizers.normalizers.Lowercase",anchor:"tokenizers.normalizers.Lowercase",parameters:[]}}),Ne=new A({}),be=new E({props:{name:"class tokenizers.normalizers.NFC",anchor:"tokenizers.normalizers.NFC",parameters:[]}}),ye=new A({}),Pe=new E({props:{name:"class tokenizers.normalizers.NFD",anchor:"tokenizers.normalizers.NFD",parameters:[]}}),Ee=new A({}),Se=new E({props:{name:"class tokenizers.normalizers.NFKC",anchor:"tokenizers.normalizers.NFKC",parameters:[]}}),Ae=new A({}),De=new E({props:{name:"class tokenizers.normalizers.NFKD",anchor:"tokenizers.normalizers.NFKD",parameters:[]}}),Fe=new A({}),Te=new E({props:{name:"class tokenizers.normalizers.Nmt",anchor:"tokenizers.normalizers.Nmt",parameters:[]}}),Ie=new A({}),qe=new E({props:{name:"class tokenizers.normalizers.Normalizer",anchor:"tokenizers.normalizers.Normalizer",parameters:""}}),He=new E({props:{name:"normalize",anchor:"tokenizers.normalizers.Normalizer.normalize",parameters:[{name:"normalized",val:""}],parametersDescription:[{anchor:"tokenizers.normalizers.Normalizer.normalize.normalized",description:`<strong>normalized</strong> (<code>NormalizedString</code>) &#x2014;
The normalized string on which to apply this
<a href="/docs/tokenizers/main/en/api/normalizers#tokenizers.normalizers.Normalizer">Normalizer</a>`,name:"normalized"}]}}),Le=new E({props:{name:"normalize_str",anchor:"tokenizers.normalizers.Normalizer.normalize_str",parameters:[{name:"sequence",val:""}],parametersDescription:[{anchor:"tokenizers.normalizers.Normalizer.normalize_str.sequence",description:`<strong>sequence</strong> (<code>str</code>) &#x2014;
A string to normalize`,name:"sequence"}],returnDescription:`
<p>A string after normalization</p>
`,returnType:`
<p><code>str</code></p>
`}}),Ke=new A({}),Be=new E({props:{name:"class tokenizers.normalizers.Precompiled",anchor:"tokenizers.normalizers.Precompiled",parameters:[{name:"precompiled_charsmap",val:""}]}}),Ve=new A({}),Me=new E({props:{name:"class tokenizers.normalizers.Replace",anchor:"tokenizers.normalizers.Replace",parameters:[{name:"pattern",val:""},{name:"content",val:""}]}}),Re=new A({}),je=new E({props:{name:"class tokenizers.normalizers.Sequence",anchor:"tokenizers.normalizers.Sequence",parameters:"",parametersDescription:[{anchor:"tokenizers.normalizers.Sequence.normalizers",description:`<strong>normalizers</strong> (<code>List[Normalizer]</code>) &#x2014;
A list of Normalizer to be run as a sequence`,name:"normalizers"}]}}),Ue=new A({}),We=new E({props:{name:"class tokenizers.normalizers.Strip",anchor:"tokenizers.normalizers.Strip",parameters:[{name:"left",val:" = True"},{name:"right",val:" = True"}]}}),Je=new A({}),Oe=new E({props:{name:"class tokenizers.normalizers.StripAccents",anchor:"tokenizers.normalizers.StripAccents",parameters:[]}}),{c(){i=n("h2"),f=n("a"),c=n("span"),v(k.$$.fragment),C=l(),b=n("span"),b.textContent=me,F=l(),y=n("div"),v(S.$$.fragment),Ge=l(),I=n("p"),I.textContent=q,ce=l(),T=n("p"),T.textContent=_e,u=l(),_=n("h2"),N=n("a"),he=n("span"),v(H.$$.fragment),Dr=l(),Qe=n("span"),Qe.textContent=pn,Kt=l(),V=n("div"),v(Ce.$$.fragment),Fr=l(),Xe=n("p"),Xe.textContent=dn,Bt=l(),M=n("h2"),pe=n("a"),Pt=n("span"),v(Ne.$$.fragment),Tr=l(),Ye=n("span"),Ye.textContent=fn,Vt=l(),R=n("div"),v(be.$$.fragment),Ir=l(),Ze=n("p"),Ze.textContent=un,Mt=l(),j=n("h2"),de=n("a"),Et=n("span"),v(ye.$$.fragment),qr=l(),et=n("span"),et.textContent=vn,Rt=l(),U=n("div"),v(Pe.$$.fragment),Hr=l(),tt=n("p"),tt.textContent=$n,jt=l(),W=n("h2"),fe=n("a"),St=n("span"),v(Ee.$$.fragment),Lr=l(),rt=n("span"),rt.textContent=zn,Ut=l(),J=n("div"),v(Se.$$.fragment),Kr=l(),nt=n("p"),nt.textContent=gn,Wt=l(),O=n("h2"),ue=n("a"),At=n("span"),v(Ae.$$.fragment),Br=l(),at=n("span"),at.textContent=xn,Jt=l(),G=n("div"),v(De.$$.fragment),Vr=l(),ot=n("p"),ot.textContent=wn,Ot=l(),Q=n("h2"),ve=n("a"),Dt=n("span"),v(Fe.$$.fragment),Mr=l(),lt=n("span"),lt.textContent=kn,Gt=l(),X=n("div"),v(Te.$$.fragment),Rr=l(),st=n("p"),st.textContent=_n,Qt=l(),Y=n("h2"),$e=n("a"),Ft=n("span"),v(Ie.$$.fragment),jr=l(),it=n("span"),it.textContent=Cn,Xt=l(),P=n("div"),v(qe.$$.fragment),Ur=l(),mt=n("p"),mt.textContent=Nn,Wr=l(),ct=n("p"),ct.textContent=bn,Jr=l(),L=n("div"),v(He.$$.fragment),Or=l(),ht=n("p"),ht.innerHTML=yn,Gr=l(),pt=n("p"),pt.innerHTML=Pn,Qr=l(),K=n("div"),v(Le.$$.fragment),Xr=l(),dt=n("p"),dt.textContent=En,Yr=l(),ft=n("p"),ft.innerHTML=Sn,Yt=l(),Z=n("h2"),ze=n("a"),Tt=n("span"),v(Ke.$$.fragment),Zr=l(),ut=n("span"),ut.textContent=An,Zt=l(),ee=n("div"),v(Be.$$.fragment),en=l(),vt=n("p"),vt.textContent=Dn,er=l(),te=n("h2"),ge=n("a"),It=n("span"),v(Ve.$$.fragment),tn=l(),$t=n("span"),$t.textContent=Fn,tr=l(),re=n("div"),v(Me.$$.fragment),rn=l(),zt=n("p"),zt.textContent=Tn,rr=l(),ne=n("h2"),xe=n("a"),qt=n("span"),v(Re.$$.fragment),nn=l(),gt=n("span"),gt.textContent=In,nr=l(),ae=n("div"),v(je.$$.fragment),an=l(),xt=n("p"),xt.textContent=qn,ar=l(),oe=n("h2"),we=n("a"),Ht=n("span"),v(Ue.$$.fragment),on=l(),wt=n("span"),wt.textContent=Hn,or=l(),le=n("div"),v(We.$$.fragment),ln=l(),kt=n("p"),kt.textContent=Ln,lr=l(),se=n("h2"),ke=n("a"),Lt=n("span"),v(Je.$$.fragment),sn=l(),_t=n("span"),_t.textContent=Kn,sr=l(),ie=n("div"),v(Oe.$$.fragment),mn=l(),Ct=n("p"),Ct.textContent=Bn,this.h()},l(e){i=a(e,"H2",{class:!0});var p=h(i);f=a(p,"A",{id:!0,class:!0,href:!0});var Vn=h(f);c=a(Vn,"SPAN",{});var Mn=h(c);$(k.$$.fragment,Mn),Mn.forEach(t),Vn.forEach(t),C=s(p),b=a(p,"SPAN",{"data-svelte-h":!0}),d(b)!=="svelte-3qq16t"&&(b.textContent=me),p.forEach(t),F=s(e),y=a(e,"DIV",{class:!0});var Nt=h(y);$(S.$$.fragment,Nt),Ge=s(Nt),I=a(Nt,"P",{"data-svelte-h":!0}),d(I)!=="svelte-kgfnlo"&&(I.textContent=q),ce=s(Nt),T=a(Nt,"P",{"data-svelte-h":!0}),d(T)!=="svelte-ma12ts"&&(T.textContent=_e),Nt.forEach(t),u=s(e),_=a(e,"H2",{class:!0});var mr=h(_);N=a(mr,"A",{id:!0,class:!0,href:!0});var Rn=h(N);he=a(Rn,"SPAN",{});var jn=h(he);$(H.$$.fragment,jn),jn.forEach(t),Rn.forEach(t),Dr=s(mr),Qe=a(mr,"SPAN",{"data-svelte-h":!0}),d(Qe)!=="svelte-qpaa2a"&&(Qe.textContent=pn),mr.forEach(t),Kt=s(e),V=a(e,"DIV",{class:!0});var cr=h(V);$(Ce.$$.fragment,cr),Fr=s(cr),Xe=a(cr,"P",{"data-svelte-h":!0}),d(Xe)!=="svelte-1ws8pdc"&&(Xe.textContent=dn),cr.forEach(t),Bt=s(e),M=a(e,"H2",{class:!0});var hr=h(M);pe=a(hr,"A",{id:!0,class:!0,href:!0});var Un=h(pe);Pt=a(Un,"SPAN",{});var Wn=h(Pt);$(Ne.$$.fragment,Wn),Wn.forEach(t),Un.forEach(t),Tr=s(hr),Ye=a(hr,"SPAN",{"data-svelte-h":!0}),d(Ye)!=="svelte-1fl3fri"&&(Ye.textContent=fn),hr.forEach(t),Vt=s(e),R=a(e,"DIV",{class:!0});var pr=h(R);$(be.$$.fragment,pr),Ir=s(pr),Ze=a(pr,"P",{"data-svelte-h":!0}),d(Ze)!=="svelte-199ec7z"&&(Ze.textContent=un),pr.forEach(t),Mt=s(e),j=a(e,"H2",{class:!0});var dr=h(j);de=a(dr,"A",{id:!0,class:!0,href:!0});var Jn=h(de);Et=a(Jn,"SPAN",{});var On=h(Et);$(ye.$$.fragment,On),On.forEach(t),Jn.forEach(t),qr=s(dr),et=a(dr,"SPAN",{"data-svelte-h":!0}),d(et)!=="svelte-pdkwwv"&&(et.textContent=vn),dr.forEach(t),Rt=s(e),U=a(e,"DIV",{class:!0});var fr=h(U);$(Pe.$$.fragment,fr),Hr=s(fr),tt=a(fr,"P",{"data-svelte-h":!0}),d(tt)!=="svelte-17uaov6"&&(tt.textContent=$n),fr.forEach(t),jt=s(e),W=a(e,"H2",{class:!0});var ur=h(W);fe=a(ur,"A",{id:!0,class:!0,href:!0});var Gn=h(fe);St=a(Gn,"SPAN",{});var Qn=h(St);$(Ee.$$.fragment,Qn),Qn.forEach(t),Gn.forEach(t),Lr=s(ur),rt=a(ur,"SPAN",{"data-svelte-h":!0}),d(rt)!=="svelte-alronn"&&(rt.textContent=zn),ur.forEach(t),Ut=s(e),J=a(e,"DIV",{class:!0});var vr=h(J);$(Se.$$.fragment,vr),Kr=s(vr),nt=a(vr,"P",{"data-svelte-h":!0}),d(nt)!=="svelte-1mvgix8"&&(nt.textContent=gn),vr.forEach(t),Wt=s(e),O=a(e,"H2",{class:!0});var $r=h(O);ue=a($r,"A",{id:!0,class:!0,href:!0});var Xn=h(ue);At=a(Xn,"SPAN",{});var Yn=h(At);$(Ae.$$.fragment,Yn),Yn.forEach(t),Xn.forEach(t),Br=s($r),at=a($r,"SPAN",{"data-svelte-h":!0}),d(at)!=="svelte-13lptg"&&(at.textContent=xn),$r.forEach(t),Jt=s(e),G=a(e,"DIV",{class:!0});var zr=h(G);$(De.$$.fragment,zr),Vr=s(zr),ot=a(zr,"P",{"data-svelte-h":!0}),d(ot)!=="svelte-dyixwr"&&(ot.textContent=wn),zr.forEach(t),Ot=s(e),Q=a(e,"H2",{class:!0});var gr=h(Q);ve=a(gr,"A",{id:!0,class:!0,href:!0});var Zn=h(ve);Dt=a(Zn,"SPAN",{});var ea=h(Dt);$(Fe.$$.fragment,ea),ea.forEach(t),Zn.forEach(t),Mr=s(gr),lt=a(gr,"SPAN",{"data-svelte-h":!0}),d(lt)!=="svelte-4jls08"&&(lt.textContent=kn),gr.forEach(t),Gt=s(e),X=a(e,"DIV",{class:!0});var xr=h(X);$(Te.$$.fragment,xr),Rr=s(xr),st=a(xr,"P",{"data-svelte-h":!0}),d(st)!=="svelte-1isyure"&&(st.textContent=_n),xr.forEach(t),Qt=s(e),Y=a(e,"H2",{class:!0});var wr=h(Y);$e=a(wr,"A",{id:!0,class:!0,href:!0});var ta=h($e);Ft=a(ta,"SPAN",{});var ra=h(Ft);$(Ie.$$.fragment,ra),ra.forEach(t),ta.forEach(t),jr=s(wr),it=a(wr,"SPAN",{"data-svelte-h":!0}),d(it)!=="svelte-1yhu5u4"&&(it.textContent=Cn),wr.forEach(t),Xt=s(e),P=a(e,"DIV",{class:!0});var B=h(P);$(qe.$$.fragment,B),Ur=s(B),mt=a(B,"P",{"data-svelte-h":!0}),d(mt)!=="svelte-1jpqc6v"&&(mt.textContent=Nn),Wr=s(B),ct=a(B,"P",{"data-svelte-h":!0}),d(ct)!=="svelte-ne1itq"&&(ct.textContent=bn),Jr=s(B),L=a(B,"DIV",{class:!0});var bt=h(L);$(He.$$.fragment,bt),Or=s(bt),ht=a(bt,"P",{"data-svelte-h":!0}),d(ht)!=="svelte-a9bu3y"&&(ht.innerHTML=yn),Gr=s(bt),pt=a(bt,"P",{"data-svelte-h":!0}),d(pt)!=="svelte-599qjf"&&(pt.innerHTML=Pn),bt.forEach(t),Qr=s(B),K=a(B,"DIV",{class:!0});var yt=h(K);$(Le.$$.fragment,yt),Xr=s(yt),dt=a(yt,"P",{"data-svelte-h":!0}),d(dt)!=="svelte-1hrxycy"&&(dt.textContent=En),Yr=s(yt),ft=a(yt,"P",{"data-svelte-h":!0}),d(ft)!=="svelte-y3bnje"&&(ft.innerHTML=Sn),yt.forEach(t),B.forEach(t),Yt=s(e),Z=a(e,"H2",{class:!0});var kr=h(Z);ze=a(kr,"A",{id:!0,class:!0,href:!0});var na=h(ze);Tt=a(na,"SPAN",{});var aa=h(Tt);$(Ke.$$.fragment,aa),aa.forEach(t),na.forEach(t),Zr=s(kr),ut=a(kr,"SPAN",{"data-svelte-h":!0}),d(ut)!=="svelte-109kpk1"&&(ut.textContent=An),kr.forEach(t),Zt=s(e),ee=a(e,"DIV",{class:!0});var _r=h(ee);$(Be.$$.fragment,_r),en=s(_r),vt=a(_r,"P",{"data-svelte-h":!0}),d(vt)!=="svelte-bhl1r5"&&(vt.textContent=Dn),_r.forEach(t),er=s(e),te=a(e,"H2",{class:!0});var Cr=h(te);ge=a(Cr,"A",{id:!0,class:!0,href:!0});var oa=h(ge);It=a(oa,"SPAN",{});var la=h(It);$(Ve.$$.fragment,la),la.forEach(t),oa.forEach(t),tn=s(Cr),$t=a(Cr,"SPAN",{"data-svelte-h":!0}),d($t)!=="svelte-7idmov"&&($t.textContent=Fn),Cr.forEach(t),tr=s(e),re=a(e,"DIV",{class:!0});var Nr=h(re);$(Me.$$.fragment,Nr),rn=s(Nr),zt=a(Nr,"P",{"data-svelte-h":!0}),d(zt)!=="svelte-1s88uyt"&&(zt.textContent=Tn),Nr.forEach(t),rr=s(e),ne=a(e,"H2",{class:!0});var br=h(ne);xe=a(br,"A",{id:!0,class:!0,href:!0});var sa=h(xe);qt=a(sa,"SPAN",{});var ia=h(qt);$(Re.$$.fragment,ia),ia.forEach(t),sa.forEach(t),nn=s(br),gt=a(br,"SPAN",{"data-svelte-h":!0}),d(gt)!=="svelte-10x915a"&&(gt.textContent=In),br.forEach(t),nr=s(e),ae=a(e,"DIV",{class:!0});var yr=h(ae);$(je.$$.fragment,yr),an=s(yr),xt=a(yr,"P",{"data-svelte-h":!0}),d(xt)!=="svelte-105zdm9"&&(xt.textContent=qn),yr.forEach(t),ar=s(e),oe=a(e,"H2",{class:!0});var Pr=h(oe);we=a(Pr,"A",{id:!0,class:!0,href:!0});var ma=h(we);Ht=a(ma,"SPAN",{});var ca=h(Ht);$(Ue.$$.fragment,ca),ca.forEach(t),ma.forEach(t),on=s(Pr),wt=a(Pr,"SPAN",{"data-svelte-h":!0}),d(wt)!=="svelte-rjtgtx"&&(wt.textContent=Hn),Pr.forEach(t),or=s(e),le=a(e,"DIV",{class:!0});var Er=h(le);$(We.$$.fragment,Er),ln=s(Er),kt=a(Er,"P",{"data-svelte-h":!0}),d(kt)!=="svelte-1279gw7"&&(kt.textContent=Ln),Er.forEach(t),lr=s(e),se=a(e,"H2",{class:!0});var Sr=h(se);ke=a(Sr,"A",{id:!0,class:!0,href:!0});var ha=h(ke);Lt=a(ha,"SPAN",{});var pa=h(Lt);$(Je.$$.fragment,pa),pa.forEach(t),ha.forEach(t),sn=s(Sr),_t=a(Sr,"SPAN",{"data-svelte-h":!0}),d(_t)!=="svelte-16arfmu"&&(_t.textContent=Kn),Sr.forEach(t),sr=s(e),ie=a(e,"DIV",{class:!0});var Ar=h(ie);$(Oe.$$.fragment,Ar),mn=s(Ar),Ct=a(Ar,"P",{"data-svelte-h":!0}),d(Ct)!=="svelte-7kf6fw"&&(Ct.textContent=Bn),Ar.forEach(t),this.h()},h(){o(f,"id","tokenizers.normalizers.BertNormalizer"),o(f,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),o(f,"href","#tokenizers.normalizers.BertNormalizer"),o(i,"class","relative group"),o(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),o(N,"id","tokenizers.normalizers.Lowercase"),o(N,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),o(N,"href","#tokenizers.normalizers.Lowercase"),o(_,"class","relative group"),o(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),o(pe,"id","tokenizers.normalizers.NFC"),o(pe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),o(pe,"href","#tokenizers.normalizers.NFC"),o(M,"class","relative group"),o(R,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),o(de,"id","tokenizers.normalizers.NFD"),o(de,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),o(de,"href","#tokenizers.normalizers.NFD"),o(j,"class","relative group"),o(U,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),o(fe,"id","tokenizers.normalizers.NFKC"),o(fe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),o(fe,"href","#tokenizers.normalizers.NFKC"),o(W,"class","relative group"),o(J,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),o(ue,"id","tokenizers.normalizers.NFKD"),o(ue,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),o(ue,"href","#tokenizers.normalizers.NFKD"),o(O,"class","relative group"),o(G,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),o(ve,"id","tokenizers.normalizers.Nmt"),o(ve,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),o(ve,"href","#tokenizers.normalizers.Nmt"),o(Q,"class","relative group"),o(X,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),o($e,"id","tokenizers.normalizers.Normalizer"),o($e,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),o($e,"href","#tokenizers.normalizers.Normalizer"),o(Y,"class","relative group"),o(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),o(K,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),o(P,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),o(ze,"id","tokenizers.normalizers.Precompiled"),o(ze,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),o(ze,"href","#tokenizers.normalizers.Precompiled"),o(Z,"class","relative group"),o(ee,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),o(ge,"id","tokenizers.normalizers.Replace"),o(ge,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),o(ge,"href","#tokenizers.normalizers.Replace"),o(te,"class","relative group"),o(re,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),o(xe,"id","tokenizers.normalizers.Sequence"),o(xe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),o(xe,"href","#tokenizers.normalizers.Sequence"),o(ne,"class","relative group"),o(ae,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),o(we,"id","tokenizers.normalizers.Strip"),o(we,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),o(we,"href","#tokenizers.normalizers.Strip"),o(oe,"class","relative group"),o(le,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),o(ke,"id","tokenizers.normalizers.StripAccents"),o(ke,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),o(ke,"href","#tokenizers.normalizers.StripAccents"),o(se,"class","relative group"),o(ie,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,p){m(e,i,p),r(i,f),r(f,c),z(k,c,null),r(i,C),r(i,b),m(e,F,p),m(e,y,p),z(S,y,null),r(y,Ge),r(y,I),r(y,ce),r(y,T),m(e,u,p),m(e,_,p),r(_,N),r(N,he),z(H,he,null),r(_,Dr),r(_,Qe),m(e,Kt,p),m(e,V,p),z(Ce,V,null),r(V,Fr),r(V,Xe),m(e,Bt,p),m(e,M,p),r(M,pe),r(pe,Pt),z(Ne,Pt,null),r(M,Tr),r(M,Ye),m(e,Vt,p),m(e,R,p),z(be,R,null),r(R,Ir),r(R,Ze),m(e,Mt,p),m(e,j,p),r(j,de),r(de,Et),z(ye,Et,null),r(j,qr),r(j,et),m(e,Rt,p),m(e,U,p),z(Pe,U,null),r(U,Hr),r(U,tt),m(e,jt,p),m(e,W,p),r(W,fe),r(fe,St),z(Ee,St,null),r(W,Lr),r(W,rt),m(e,Ut,p),m(e,J,p),z(Se,J,null),r(J,Kr),r(J,nt),m(e,Wt,p),m(e,O,p),r(O,ue),r(ue,At),z(Ae,At,null),r(O,Br),r(O,at),m(e,Jt,p),m(e,G,p),z(De,G,null),r(G,Vr),r(G,ot),m(e,Ot,p),m(e,Q,p),r(Q,ve),r(ve,Dt),z(Fe,Dt,null),r(Q,Mr),r(Q,lt),m(e,Gt,p),m(e,X,p),z(Te,X,null),r(X,Rr),r(X,st),m(e,Qt,p),m(e,Y,p),r(Y,$e),r($e,Ft),z(Ie,Ft,null),r(Y,jr),r(Y,it),m(e,Xt,p),m(e,P,p),z(qe,P,null),r(P,Ur),r(P,mt),r(P,Wr),r(P,ct),r(P,Jr),r(P,L),z(He,L,null),r(L,Or),r(L,ht),r(L,Gr),r(L,pt),r(P,Qr),r(P,K),z(Le,K,null),r(K,Xr),r(K,dt),r(K,Yr),r(K,ft),m(e,Yt,p),m(e,Z,p),r(Z,ze),r(ze,Tt),z(Ke,Tt,null),r(Z,Zr),r(Z,ut),m(e,Zt,p),m(e,ee,p),z(Be,ee,null),r(ee,en),r(ee,vt),m(e,er,p),m(e,te,p),r(te,ge),r(ge,It),z(Ve,It,null),r(te,tn),r(te,$t),m(e,tr,p),m(e,re,p),z(Me,re,null),r(re,rn),r(re,zt),m(e,rr,p),m(e,ne,p),r(ne,xe),r(xe,qt),z(Re,qt,null),r(ne,nn),r(ne,gt),m(e,nr,p),m(e,ae,p),z(je,ae,null),r(ae,an),r(ae,xt),m(e,ar,p),m(e,oe,p),r(oe,we),r(we,Ht),z(Ue,Ht,null),r(oe,on),r(oe,wt),m(e,or,p),m(e,le,p),z(We,le,null),r(le,ln),r(le,kt),m(e,lr,p),m(e,se,p),r(se,ke),r(ke,Lt),z(Je,Lt,null),r(se,sn),r(se,_t),m(e,sr,p),m(e,ie,p),z(Oe,ie,null),r(ie,mn),r(ie,Ct),ir=!0},p:cn,i(e){ir||(g(k.$$.fragment,e),g(S.$$.fragment,e),g(H.$$.fragment,e),g(Ce.$$.fragment,e),g(Ne.$$.fragment,e),g(be.$$.fragment,e),g(ye.$$.fragment,e),g(Pe.$$.fragment,e),g(Ee.$$.fragment,e),g(Se.$$.fragment,e),g(Ae.$$.fragment,e),g(De.$$.fragment,e),g(Fe.$$.fragment,e),g(Te.$$.fragment,e),g(Ie.$$.fragment,e),g(qe.$$.fragment,e),g(He.$$.fragment,e),g(Le.$$.fragment,e),g(Ke.$$.fragment,e),g(Be.$$.fragment,e),g(Ve.$$.fragment,e),g(Me.$$.fragment,e),g(Re.$$.fragment,e),g(je.$$.fragment,e),g(Ue.$$.fragment,e),g(We.$$.fragment,e),g(Je.$$.fragment,e),g(Oe.$$.fragment,e),ir=!0)},o(e){x(k.$$.fragment,e),x(S.$$.fragment,e),x(H.$$.fragment,e),x(Ce.$$.fragment,e),x(Ne.$$.fragment,e),x(be.$$.fragment,e),x(ye.$$.fragment,e),x(Pe.$$.fragment,e),x(Ee.$$.fragment,e),x(Se.$$.fragment,e),x(Ae.$$.fragment,e),x(De.$$.fragment,e),x(Fe.$$.fragment,e),x(Te.$$.fragment,e),x(Ie.$$.fragment,e),x(qe.$$.fragment,e),x(He.$$.fragment,e),x(Le.$$.fragment,e),x(Ke.$$.fragment,e),x(Be.$$.fragment,e),x(Ve.$$.fragment,e),x(Me.$$.fragment,e),x(Re.$$.fragment,e),x(je.$$.fragment,e),x(Ue.$$.fragment,e),x(We.$$.fragment,e),x(Je.$$.fragment,e),x(Oe.$$.fragment,e),ir=!1},d(e){e&&(t(i),t(F),t(y),t(u),t(_),t(Kt),t(V),t(Bt),t(M),t(Vt),t(R),t(Mt),t(j),t(Rt),t(U),t(jt),t(W),t(Ut),t(J),t(Wt),t(O),t(Jt),t(G),t(Ot),t(Q),t(Gt),t(X),t(Qt),t(Y),t(Xt),t(P),t(Yt),t(Z),t(Zt),t(ee),t(er),t(te),t(tr),t(re),t(rr),t(ne),t(nr),t(ae),t(ar),t(oe),t(or),t(le),t(lr),t(se),t(sr),t(ie)),w(k),w(S),w(H),w(Ce),w(Ne),w(be),w(ye),w(Pe),w(Ee),w(Se),w(Ae),w(De),w(Fe),w(Te),w(Ie),w(qe),w(He),w(Le),w(Ke),w(Be),w(Ve),w(Me),w(Re),w(je),w(Ue),w(We),w(Je),w(Oe)}}}function xa(D){let i,f;return i=new hn({props:{$$slots:{default:[ga]},$$scope:{ctx:D}}}),{c(){v(i.$$.fragment)},l(c){$(i.$$.fragment,c)},m(c,k){z(i,c,k),f=!0},p(c,k){const C={};k&2&&(C.$$scope={dirty:k,ctx:c}),i.$set(C)},i(c){f||(g(i.$$.fragment,c),f=!0)},o(c){x(i.$$.fragment,c),f=!1},d(c){w(i,c)}}}function wa(D){let i,f='The Rust API Reference is available directly on the <a href="https://docs.rs/tokenizers/latest/tokenizers/" rel="nofollow">Docs.rs</a> website.';return{c(){i=n("p"),i.innerHTML=f},l(c){i=a(c,"P",{"data-svelte-h":!0}),d(i)!=="svelte-4ytcyb"&&(i.innerHTML=f)},m(c,k){m(c,i,k)},p:cn,d(c){c&&t(i)}}}function ka(D){let i,f;return i=new hn({props:{$$slots:{default:[wa]},$$scope:{ctx:D}}}),{c(){v(i.$$.fragment)},l(c){$(i.$$.fragment,c)},m(c,k){z(i,c,k),f=!0},p(c,k){const C={};k&2&&(C.$$scope={dirty:k,ctx:c}),i.$set(C)},i(c){f||(g(i.$$.fragment,c),f=!0)},o(c){x(i.$$.fragment,c),f=!1},d(c){w(i,c)}}}function _a(D){let i,f="The node API has not been documented yet.";return{c(){i=n("p"),i.textContent=f},l(c){i=a(c,"P",{"data-svelte-h":!0}),d(i)!=="svelte-1mrchm6"&&(i.textContent=f)},m(c,k){m(c,i,k)},p:cn,d(c){c&&t(i)}}}function Ca(D){let i,f;return i=new hn({props:{$$slots:{default:[_a]},$$scope:{ctx:D}}}),{c(){v(i.$$.fragment)},l(c){$(i.$$.fragment,c)},m(c,k){z(i,c,k),f=!0},p(c,k){const C={};k&2&&(C.$$scope={dirty:k,ctx:c}),i.$set(C)},i(c){f||(g(i.$$.fragment,c),f=!0)},o(c){x(i.$$.fragment,c),f=!1},d(c){w(i,c)}}}function Na(D){let i,f,c,k,C,b,me,F,y,S,Ge="Normalizers",I,q,ce,T,_e;return F=new A({}),q=new za({props:{python:!0,rust:!0,node:!0,$$slots:{node:[Ca],rust:[ka],python:[xa]},$$scope:{ctx:D}}}),{c(){i=n("meta"),f=l(),c=n("p"),k=l(),C=n("h1"),b=n("a"),me=n("span"),v(F.$$.fragment),y=l(),S=n("span"),S.textContent=Ge,I=l(),v(q.$$.fragment),ce=l(),T=n("p"),this.h()},l(u){const _=$a("svelte-1phssyn",document.head);i=a(_,"META",{name:!0,content:!0}),_.forEach(t),f=s(u),c=a(u,"P",{}),h(c).forEach(t),k=s(u),C=a(u,"H1",{class:!0});var N=h(C);b=a(N,"A",{id:!0,class:!0,href:!0});var he=h(b);me=a(he,"SPAN",{});var H=h(me);$(F.$$.fragment,H),H.forEach(t),he.forEach(t),y=s(N),S=a(N,"SPAN",{"data-svelte-h":!0}),d(S)!=="svelte-1a5f0bj"&&(S.textContent=Ge),N.forEach(t),I=s(u),$(q.$$.fragment,u),ce=s(u),T=a(u,"P",{}),h(T).forEach(t),this.h()},h(){o(i,"name","hf:doc:metadata"),o(i,"content",JSON.stringify(ba)),o(b,"id","normalizers"),o(b,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),o(b,"href","#normalizers"),o(C,"class","relative group")},m(u,_){r(document.head,i),m(u,f,_),m(u,c,_),m(u,k,_),m(u,C,_),r(C,b),r(b,me),z(F,me,null),r(C,y),r(C,S),m(u,I,_),z(q,u,_),m(u,ce,_),m(u,T,_),_e=!0},p(u,[_]){const N={};_&2&&(N.$$scope={dirty:_,ctx:u}),q.$set(N)},i(u){_e||(g(F.$$.fragment,u),g(q.$$.fragment,u),_e=!0)},o(u){x(F.$$.fragment,u),x(q.$$.fragment,u),_e=!1},d(u){u&&(t(f),t(c),t(k),t(C),t(I),t(ce),t(T)),t(i),w(F),w(q,u)}}}const ba={local:"normalizers",sections:[{local:"tokenizers.normalizers.BertNormalizer",title:"BertNormalizer"},{local:"tokenizers.normalizers.Lowercase",title:"Lowercase"},{local:"tokenizers.normalizers.NFC",title:"NFC"},{local:"tokenizers.normalizers.NFD",title:"NFD"},{local:"tokenizers.normalizers.NFKC",title:"NFKC"},{local:"tokenizers.normalizers.NFKD",title:"NFKD"},{local:"tokenizers.normalizers.Nmt",title:"Nmt"},{local:"tokenizers.normalizers.Normalizer",title:"Normalizer"},{local:"tokenizers.normalizers.Precompiled",title:"Precompiled"},{local:"tokenizers.normalizers.Replace",title:"Replace"},{local:"tokenizers.normalizers.Sequence",title:"Sequence"},{local:"tokenizers.normalizers.Strip",title:"Strip"},{local:"tokenizers.normalizers.StripAccents",title:"StripAccents"}],title:"Normalizers"};function ya(D){return fa(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Fa extends ua{constructor(i){super(),va(this,i,ya,Na,da,{})}}export{Fa as component};
